Subject: Re: [bug#30991] [PATCH v2 1/3] services: Move static-networking to (gnu services base).

From: [email-masked] (Ludovic Courtès)
Date: Sun, 01 Apr 2018 11:38:31 +0200

Hello!

Danny Milosavljevic <[email-masked]> skribis:

> On Sat, 31 Mar 2018 18:13:33 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> Danny Milosavljevic <[email-masked]> skribis:
>> 
>> > * gnu/services/networking.scm (static-networking, static-networking?,
>> > static-networking-interface, static-networking-ip, static-networking-netmask,
>> > static-networking-gateway, static-networking-requirement,
>> > static-networking-service, static-networking-service-type): Move to...
>> > * gnu/services/base.scm: ...here.  
>> 
>> What’s the reason?  Is there a module cross-dependency issue or
>> something?
>
> Yes, (gnu services base) uses (gnu services networking), and now I wanted
> to use (gnu services networking) in (gnu services base) - because
> I extend udev service and it's in the latter.

I see.

> but I thought of a better way to resolve it: Just put modem-manager service
> into (gnu services base) to begin with.  Testing...

I’d actually prefer the initial approach—moving
‘static-networking-service-type’ to (gnu services base).  That seems
more logical to me.

Thanks,
Ludo’.